#### PyKDE - Python Bindings for KDE

# class KAutoMount |
Table of contents
Modules
kio Classes
All Classes

Module | kio
Class | KAutoMount
Inherits | QObject

### methods

- KAutoMount (readonly, format, device, mountpoint, desktopFile, show_filemanager_window = 1)

  returns a KAutoMount instance
  Argument | Type | Default
  --- | --- | ---
  readonly | bool |
  format | QString |
  device | QString |
  mountpoint | QString |
  desktopFile | QString |
  show_filemanager_window | bool | 1

- error ()

  returns nothing

- finished ()

  returns nothing

- slotResult (a0)

  returns nothing
  Argument | Type | Default
  --- | --- | ---
  a0 | KIO.Job |

- ~KAutoMount ()

  returns nothing